<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::system::EndpointHandler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html">system</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html">EndpointHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::system::EndpointHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_endpoint_handler_8h_source.html">EndpointHandler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::system::EndpointHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html" title="alexaClientSDK::avsCommon\l::avs::CapabilityAgent" alt="" coords="276,127,473,165"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::DirectiveHandler\lInterface" alt="" coords="10,5,224,57"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ChannelObserver\lInterface" alt="" coords="7,81,227,133"/>
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::StateProvider\lInterface" alt="" coords="18,157,215,209"/>
<area shape="rect" id="node6" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ContextRequester\lInterface" alt="" coords="5,233,228,285"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::system::EndpointHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html" title="alexaClientSDK::avsCommon\l::avs::CapabilityAgent" alt="" coords="276,127,473,165"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::DirectiveHandler\lInterface" alt="" coords="10,5,224,57"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ChannelObserver\lInterface" alt="" coords="7,81,227,133"/>
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::StateProvider\lInterface" alt="" coords="18,157,215,209"/>
<area shape="rect" id="node6" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ContextRequester\lInterface" alt="" coords="5,233,228,285"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">DirectiveHandlerInterface and CapabilityAgent Functions</div></td></tr>
<tr class="memitem:abbb4136c7b2a2a0936d699cc88566ea4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html#abbb4136c7b2a2a0936d699cc88566ea4">getConfiguration</a> () const override</td></tr>
<tr class="separator:abbb4136c7b2a2a0936d699cc88566ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2877543a6a580f0598a8aae4f92bb493"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html#a2877543a6a580f0598a8aae4f92bb493">handleDirectiveImmediately</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt; directive) override</td></tr>
<tr class="separator:a2877543a6a580f0598a8aae4f92bb493"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7514d62f8fbc344b74487e4916434205"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html#a7514d62f8fbc344b74487e4916434205">preHandleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">avsCommon::avs::CapabilityAgent::DirectiveInfo</a> &gt; info) override</td></tr>
<tr class="separator:a7514d62f8fbc344b74487e4916434205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3b704bb6910f8fcd8721cd84539b3f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html#ac3b704bb6910f8fcd8721cd84539b3f5">handleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">avsCommon::avs::CapabilityAgent::DirectiveInfo</a> &gt; info) override</td></tr>
<tr class="separator:ac3b704bb6910f8fcd8721cd84539b3f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adce15af5952c265f6f38ddb934d69174"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html#adce15af5952c265f6f38ddb934d69174">cancelDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">avsCommon::avs::CapabilityAgent::DirectiveInfo</a> &gt; info) override</td></tr>
<tr class="separator:adce15af5952c265f6f38ddb934d69174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td></tr>
<tr class="memitem:ab6745fae4f7b144f64d34251c76d14f7 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#ab6745fae4f7b144f64d34251c76d14f7">~CapabilityAgent</a> ()=default</td></tr>
<tr class="separator:ab6745fae4f7b144f64d34251c76d14f7 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6643447cdbecc1e49e14532b0cc83cf1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a6643447cdbecc1e49e14532b0cc83cf1">preHandleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt; directive, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">sdkInterfaces::DirectiveHandlerResultInterface</a> &gt; result) override final</td></tr>
<tr class="separator:a6643447cdbecc1e49e14532b0cc83cf1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a971352c6a79f7cb000e5e632648bceb3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a971352c6a79f7cb000e5e632648bceb3">handleDirective</a> (const std::string &amp;messageId) override final</td></tr>
<tr class="separator:a971352c6a79f7cb000e5e632648bceb3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3840603cf5c461f2e13b61cbab0e3e90 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a3840603cf5c461f2e13b61cbab0e3e90">cancelDirective</a> (const std::string &amp;messageId) override final</td></tr>
<tr class="separator:a3840603cf5c461f2e13b61cbab0e3e90 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a534b6a5c2280f9fcd0866a82524bbca4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a534b6a5c2280f9fcd0866a82524bbca4">onDeregistered</a> () override</td></tr>
<tr class="separator:a534b6a5c2280f9fcd0866a82524bbca4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab63458984e8abac5b7fd8df22149cf9b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#ab63458984e8abac5b7fd8df22149cf9b">onFocusChanged</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">FocusState</a> newFocus) override</td></tr>
<tr class="separator:ab63458984e8abac5b7fd8df22149cf9b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af056b26452e6c4ca5855a72ec2bfcde4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#af056b26452e6c4ca5855a72ec2bfcde4">provideState</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> &amp;stateProviderName, const unsigned int stateRequestToken) override</td></tr>
<tr class="separator:af056b26452e6c4ca5855a72ec2bfcde4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2ad8b4b2bbcf6070e2b6e9e13785322 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#aa2ad8b4b2bbcf6070e2b6e9e13785322">onContextAvailable</a> (const std::string &amp;jsonContext) override</td></tr>
<tr class="separator:aa2ad8b4b2bbcf6070e2b6e9e13785322 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8f0c021b6eca42f22d5e0afe33cffdc inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#ae8f0c021b6eca42f22d5e0afe33cffdc">onContextFailure</a> (const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a8ec2f2403294717c740bfacf5c62d018">sdkInterfaces::ContextRequestError</a> error) override</td></tr>
<tr class="separator:ae8f0c021b6eca42f22d5e0afe33cffdc inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td></tr>
<tr class="memitem:a0aa03b6867e8b6e44b8c1b8df93c2d5c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a0aa03b6867e8b6e44b8c1b8df93c2d5c">~DirectiveHandlerInterface</a> ()=default</td></tr>
<tr class="separator:a0aa03b6867e8b6e44b8c1b8df93c2d5c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a517f1f6ceeba26da9dd071b9ad3dc390 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a517f1f6ceeba26da9dd071b9ad3dc390">handleDirectiveImmediately</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt; directive)=0</td></tr>
<tr class="separator:a517f1f6ceeba26da9dd071b9ad3dc390 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bfec681151c104a12274fde87ff507d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9bfec681151c104a12274fde87ff507d">preHandleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt; directive, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">DirectiveHandlerResultInterface</a> &gt; result)=0</td></tr>
<tr class="separator:a9bfec681151c104a12274fde87ff507d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ChannelObserverInterface</a></td></tr>
<tr class="memitem:a451bc071c57df259d0a3c801926aba4b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface.html#a451bc071c57df259d0a3c801926aba4b">~ChannelObserverInterface</a> ()=default</td></tr>
<tr class="separator:a451bc071c57df259d0a3c801926aba4b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_channel_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::StateProviderInterface</a></td></tr>
<tr class="memitem:a005d5be73f5a0b6d3306e37fb324249f inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html#a005d5be73f5a0b6d3306e37fb324249f">~StateProviderInterface</a> ()=default</td></tr>
<tr class="separator:a005d5be73f5a0b6d3306e37fb324249f inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ContextRequesterInterface</a></td></tr>
<tr class="memitem:a761877550e7024ecd44aea4ca306b877 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html#a761877550e7024ecd44aea4ca306b877">~ContextRequesterInterface</a> ()=default</td></tr>
<tr class="separator:a761877550e7024ecd44aea4ca306b877 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ad9209787a94d2664fdac6fb75127ada5"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html">EndpointHandler</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html#ad9209787a94d2664fdac6fb75127ada5">create</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_endpoint_assigner_interface.html">avsCommon::sdkInterfaces::AVSEndpointAssignerInterface</a> &gt; avsEndpointAssigner, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_exception_encountered_sender_interface.html">avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface</a> &gt; exceptionEncounteredSender)</td></tr>
<tr class="separator:ad9209787a94d2664fdac6fb75127ada5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td></tr>
<tr class="memitem:a7254a7c71bc99bdeab87ae9a2c7dc5c8 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a7254a7c71bc99bdeab87ae9a2c7dc5c8">CapabilityAgent</a> (const std::string &amp;nameSpace, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_exception_encountered_sender_interface.html">sdkInterfaces::ExceptionEncounteredSenderInterface</a> &gt; exceptionEncounteredSender)</td></tr>
<tr class="separator:a7254a7c71bc99bdeab87ae9a2c7dc5c8 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f623357462b3e1a0b2f9c55743198b inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">virtual std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">DirectiveInfo</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a19f623357462b3e1a0b2f9c55743198b">createDirectiveInfo</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt; directive, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">sdkInterfaces::DirectiveHandlerResultInterface</a> &gt; result)</td></tr>
<tr class="separator:a19f623357462b3e1a0b2f9c55743198b inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c1af56e9bc7728dd0e0918db81fc0be inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a2c1af56e9bc7728dd0e0918db81fc0be">preHandleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">DirectiveInfo</a> &gt; info)=0</td></tr>
<tr class="separator:a2c1af56e9bc7728dd0e0918db81fc0be inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f8616a9e8e0f99e1805d8bdf9349977 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a3f8616a9e8e0f99e1805d8bdf9349977">handleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">DirectiveInfo</a> &gt; info)=0</td></tr>
<tr class="separator:a3f8616a9e8e0f99e1805d8bdf9349977 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35414897b8abb3a2ee72bde01b897e04 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a35414897b8abb3a2ee72bde01b897e04">cancelDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">DirectiveInfo</a> &gt; info)=0</td></tr>
<tr class="separator:a35414897b8abb3a2ee72bde01b897e04 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8818d802b24e4b2a69ddeac9c659199f inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a8818d802b24e4b2a69ddeac9c659199f">removeDirective</a> (const std::string &amp;messageId)</td></tr>
<tr class="separator:a8818d802b24e4b2a69ddeac9c659199f inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c522e09b9b367e75cf7f09a548f7bfe inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a2c522e09b9b367e75cf7f09a548f7bfe">sendExceptionEncounteredAndReportFailed</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">DirectiveInfo</a> &gt; info, const std::string &amp;message, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fc">avsCommon::avs::ExceptionErrorType</a> type=<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fcae8c0c70879b5895c615677261d64a1ee">avsCommon::avs::ExceptionErrorType::INTERNAL_ERROR</a>)</td></tr>
<tr class="separator:a2c522e09b9b367e75cf7f09a548f7bfe inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0141d9d834ebc600e75117d5fc791202 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">const std::pair&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a0141d9d834ebc600e75117d5fc791202">buildJsonEventString</a> (const std::string &amp;eventName, const std::string &amp;dialogRequestIdString=&quot;&quot;, const std::string &amp;payload=&quot;{}&quot;, const std::string &amp;context=&quot;&quot;)</td></tr>
<tr class="separator:a0141d9d834ebc600e75117d5fc791202 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></td></tr>
<tr class="memitem:a44fd59779e935c0548b4ec2938ee364b inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a44fd59779e935c0548b4ec2938ee364b">m_namespace</a></td></tr>
<tr class="memdesc:a44fd59779e935c0548b4ec2938ee364b inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="mdescLeft">&#160;</td><td class="mdescRight">The namespace of the capability agent.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a44fd59779e935c0548b4ec2938ee364b">More...</a><br /></td></tr>
<tr class="separator:a44fd59779e935c0548b4ec2938ee364b inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac15d9611ab7ae14824cdf5fc52d79dc5 inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_exception_encountered_sender_interface.html">sdkInterfaces::ExceptionEncounteredSenderInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#ac15d9611ab7ae14824cdf5fc52d79dc5">m_exceptionEncounteredSender</a></td></tr>
<tr class="memdesc:ac15d9611ab7ae14824cdf5fc52d79dc5 inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="mdescLeft">&#160;</td><td class="mdescRight">Object to use to send exceptionEncountered messages.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#ac15d9611ab7ae14824cdf5fc52d79dc5">More...</a><br /></td></tr>
<tr class="separator:ac15d9611ab7ae14824cdf5fc52d79dc5 inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">This class implementes a <code>CapabilityAgent</code> that handles the <code>SetEndpoint</code> directive. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="adce15af5952c265f6f38ddb934d69174"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adce15af5952c265f6f38ddb934d69174">&#9670;&nbsp;</a></span>cancelDirective()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::system::EndpointHandler::cancelDirective </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">avsCommon::avs::CapabilityAgent::DirectiveInfo</a> &gt;&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9209787a94d2664fdac6fb75127ada5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9209787a94d2664fdac6fb75127ada5">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html">EndpointHandler</a> &gt; alexaClientSDK::capabilityAgents::system::EndpointHandler::create </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_endpoint_assigner_interface.html">avsCommon::sdkInterfaces::AVSEndpointAssignerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>avsEndpointAssigner</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_exception_encountered_sender_interface.html">avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>exceptionEncounteredSender</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Create an instance of <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html">EndpointHandler</a></code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">avsEndpointAssigner</td><td>The interface to be notified when a new <code>SetEndpoint</code> directive comes. </td></tr>
    <tr><td class="paramname">exceptionEncounteredSender</td><td>The interface that sends exceptions. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>nullptr</code> if the inputs are not defined, else a new instance of <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html">EndpointHandler</a></code>. </dd></dl>

</div>
</div>
<a id="abbb4136c7b2a2a0936d699cc88566ea4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbb4136c7b2a2a0936d699cc88566ea4">&#9670;&nbsp;</a></span>getConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a> alexaClientSDK::capabilityAgents::system::EndpointHandler::getConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns the configuration of the directive handler regarding which namespace and name pairs it should handle and the appropriate policy for each pair.</p>
<dl class="section return"><dt>Returns</dt><dd>The <code>avs::DirectiveHandlerConfiguration</code> of the handler. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9a4151577d823b1e991af340c233441b">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>.</p>

</div>
</div>
<a id="ac3b704bb6910f8fcd8721cd84539b3f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3b704bb6910f8fcd8721cd84539b3f5">&#9670;&nbsp;</a></span>handleDirective()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::system::EndpointHandler::handleDirective </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">avsCommon::avs::CapabilityAgent::DirectiveInfo</a> &gt;&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2877543a6a580f0598a8aae4f92bb493"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2877543a6a580f0598a8aae4f92bb493">&#9670;&nbsp;</a></span>handleDirectiveImmediately()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::system::EndpointHandler::handleDirectiveImmediately </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt;&#160;</td>
          <td class="paramname"><em>directive</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7514d62f8fbc344b74487e4916434205"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7514d62f8fbc344b74487e4916434205">&#9670;&nbsp;</a></span>preHandleDirective()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::system::EndpointHandler::preHandleDirective </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">avsCommon::avs::CapabilityAgent::DirectiveInfo</a> &gt;&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/System/include/System/<a class="el" href="_endpoint_handler_8h_source.html">EndpointHandler.h</a></li>
<li>/workplace/avs-device-sdk/CapabilityAgents/System/src/<a class="el" href="_endpoint_handler_8cpp.html">EndpointHandler.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
